﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Configuration;

namespace Subkismet.Services.GoogleSafeBrowsing.Provider
{
    public class GoogleSafeBrowsingProviderConfiguration : ConfigurationSection
    {
        [ConfigurationProperty("providers")]
        public ProviderSettingsCollection Providers
        {
            get
            {
                return (ProviderSettingsCollection)base["providers"];
            }
        }

        [ConfigurationProperty("default", DefaultValue = "XmlProvider")]
        public string Default
        {
            get
            {
                return (string)base["default"];
            }
            set
            {
                base["default"] = value;
            }
        }
    }
}
